com.dlsc.flexgantt.model.dateline

## Enum DatelineModelEvent.ID

- java.lang.Object
- - java.lang.Enum<DatelineModelEvent.ID>
  - - com.dlsc.flexgantt.model.dateline.DatelineModelEvent.ID

- All Implemented Interfaces:
    Serializable, Comparable<DatelineModelEvent.ID>
  Enclosing class:
    DatelineModelEvent

      public static enum DatelineModelEvent.ID
      extends Enum<DatelineModelEvent.ID>

  An enumerator that contains values used for identifying different types of events.
  Since:
    1.0

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DATELINE_WIDTH_CHANGED` ID used to indicate that the calculated width of the dateline has been changed.
    `GRANULARITY_CHANGED` ID used to indicate that the granularity has changed.
    `REQUESTED_VISIBLE_TIME_SPAN_CHANGED` ID used to indicate that a time span request has been sent to the model.
    `SELECTED_TIME_SPAN_CHANGED` ID used to indicate that the time span selection has been changed inside a dateline model.
    `TIME_SPAN_CHANGED` ID used to indicate that the total time span of the model has been changed.
    `TIME_ZONE_CHANGED` ID used to indicate that the time zone represented by the model has been changed.
    `ZOOM_CHANGED` ID used to indicate that the zoom factor has changed.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DatelineModelEvent.ID` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static DatelineModelEvent.ID[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SELECTED_TIME_SPAN_CHANGED

          public static final DatelineModelEvent.ID SELECTED_TIME_SPAN_CHANGED

      ID used to indicate that the time span selection has been changed inside a dateline model.
      Since:
        1.0
      See Also:
        `IDatelineModel.setSelectedTimeSpan(ITimeSpan)`

    - #### TIME_ZONE_CHANGED

          public static final DatelineModelEvent.ID TIME_ZONE_CHANGED

      ID used to indicate that the time zone represented by the model has been changed.
      Since:
        1.0
      See Also:
        `IDatelineModel.setTimeZone(java.util.TimeZone)`

    - #### TIME_SPAN_CHANGED

          public static final DatelineModelEvent.ID TIME_SPAN_CHANGED

      ID used to indicate that the total time span of the model has been changed.
      Since:
        1.0
      See Also:
        `IDatelineModel.setTimeSpan(ITimeSpan)`

    - #### REQUESTED_VISIBLE_TIME_SPAN_CHANGED

          public static final DatelineModelEvent.ID REQUESTED_VISIBLE_TIME_SPAN_CHANGED

      ID used to indicate that a time span request has been sent to the model. Various other UI components have to be informed about this so that they can change their settings (e.g. the `LayerContainer` has to scroll to the requested time span).
      Since:
        1.0

    - #### DATELINE_WIDTH_CHANGED

          public static final DatelineModelEvent.ID DATELINE_WIDTH_CHANGED

      ID used to indicate that the calculated width of the dateline has been changed. The `Dateline` uses this information to change its preferred width. The `LayerContainer` will respond to this kind of event and invalidate the dateline and validate itself again.
      Since:
        1.0

    - #### ZOOM_CHANGED

          public static final DatelineModelEvent.ID ZOOM_CHANGED

      ID used to indicate that the zoom factor has changed.
      Since:
        1.0
      See Also:
        `IDatelineModel.setZoom(double)`

    - #### GRANULARITY_CHANGED

          public static final DatelineModelEvent.ID GRANULARITY_CHANGED

      ID used to indicate that the granularity has changed.
      Since:
        1.0
      See Also:
        `IDatelineModel.setGranularity(IGranularity)`

  - ### Method Detail

    - #### values

          public static DatelineModelEvent.ID[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DatelineModelEvent.ID c : DatelineModelEvent.ID.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DatelineModelEvent.ID valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.